<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Add Partner</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form (ngSubmit)="addPartner(f)" autocomplete="false" #f="ngForm" class="form-horizontal">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Name
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Name" name="name" maxlength="20" #name="ngModel"
                                [(ngModel)]="partnerModel.name" class="form-control" required>
                            <div class="error-msg" *ngIf="name.errors && (name.dirty || name.touched || f.submitted)">
                                <div [hidden]="!name.errors.required">
                                    Name is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Address
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Address" name="address" maxlength="25" #address="ngModel"
                                [(ngModel)]="partnerModel.address" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">House number
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="House number" maxlength="10" pattern="[0-9]+([.][0-9]+)?"
                                name="house_number" maxlength="15" #house_number="ngModel"
                                [(ngModel)]="partnerModel.house_number" class="form-control">
                            <div class="error-msg"
                                *ngIf="house_number.errors && (house_number.dirty || house_number.touched)">
                                <div [hidden]="!house_number.errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Postal code
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Postal code" name="postal_code" maxlength="15"
                                #postal_code="ngModel" [(ngModel)]="partnerModel.postal_code" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">City
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="City" name="city" maxlength="15" #city="ngModel"
                                [(ngModel)]="partnerModel.city" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Phone number
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Phone number" maxlength="11" pattern="[0-9]+([.][0-9]+)?"
                                name="phone_number" #phone_number="ngModel" [(ngModel)]="partnerModel.phone_number"
                                class="form-control">
                            <div class="error-msg"
                                *ngIf="phone_number.errors && (phone_number.dirty || phone_number.touched)">
                                <div [hidden]="!phone_number.errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice e-mail
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Invoice e-mail" maxlength="25"
                                pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" #invoice_email="ngModel"
                                [(ngModel)]="partnerModel.invoice_email" class="form-control" name="invoice_email">
                            <div class="error-msg"
                                *ngIf="invoice_email.errors && (invoice_email.dirty || invoice_email.touched)">
                                <div [hidden]="!invoice_email.errors.pattern">
                                    Email is not valid
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Reference number
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Reference number" maxlength="20" name="reference_number"
                                #reference_number="ngModel" [(ngModel)]="partnerModel.reference_number"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label"> Invoice company name
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Invoice company name" maxlength="25"
                                name="invoice_company_name" #invoice_company_name="ngModel"
                                [(ngModel)]="partnerModel.invoice_company_name" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice enabled
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Invoice enabled"
                                [(ngModel)]="partnerModel.invoice_enabled" name="invoice_enabled"
                                #invoice_enabled="ngModel">

                                <mat-option value="1" selected="selected">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice with appendix
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Invoice with appendix"
                                [(ngModel)]="partnerModel.invoice_with_appendix" name="invoice_with_appendix"
                                #invoice_with_appendix="ngModel">
                                <mat-option value="1" selected="selected">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice address
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Invoice address" maxlength="20" name="invoice_address"
                                #invoice_address="ngModel" [(ngModel)]="partnerModel.invoice_address"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice house number
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Invoice house number" maxlenght="20"
                                name="invoice_house_number" #invoice_house_number="ngModel"
                                [(ngModel)]="partnerModel.invoice_house_number" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice postal code
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Invoice postal code" maxlength="20"
                                name="invoice_postal_code" #invoice_postal_code="ngModel"
                                [(ngModel)]="partnerModel.invoice_postal_code" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice city
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Invoice city" maxlength="20" name="invoice_city"
                                #invoice_city="ngModel" [(ngModel)]="partnerModel.invoice_city" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Smartphone partner
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Smartphone partner"
                                [(ngModel)]="partnerModel.smartphone_partner" name="smartphone_partner"
                                #smartphone_partner="ngModel">
                                <mat-option value="1">Yes</mat-option>
                                <mat-option value="0" selected>No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Country
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Country" [(ngModel)]="partnerModel.country"
                                name="country" #country="ngModel">
                                <mat-option value="Uae">UAE</mat-option>
                                <mat-option value="Usa">USA</mat-option>
                                <mat-option value="India">India</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Contact person
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Contact person" maxlength="15" name="contact_person"
                                #contact_person="ngModel" [(ngModel)]="partnerModel.contact_person"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Email
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Email" maxlength="25"
                                pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" #mail_add_contact="ngModel"
                                [(ngModel)]="partnerModel.mail_add_contact" name="mail_add_contact" class="form-control">
                            <div class="error-msg"
                                *ngIf="mail_add_contact.errors && (mail_add_contact.dirty || mail_add_contact.touched)">
                                <div [hidden]="!mail_add_contact.errors.pattern">
                                    Email is not valid
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Select type
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Select type"
                                [(ngModel)]="partnerModel.select_type" name="select_type" #select_type="ngModel">
                                <mat-option value="1" selected="selected">TRUE</mat-option>
                                <mat-option value="0">FALSE</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Invoice generated for
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Invoice generated for"
                                [(ngModel)]="partnerModel.invoice_generated_for" name="invoice_generated_for"
                                #invoice_generated_for="ngModel">
                                <mat-option value="1">Partner</mat-option>
                                <mat-option value="0">Department</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Web blocking period (min)
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Web blocking period" maxlength="2"
                                name="web_blocking_period" #web_blocking_period="ngModel"
                                [(ngModel)]="partnerModel.web_blocking_period" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Web number of packages
                            <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Web number of packages" maxlength="2"
                                pattern="[0-9]+([.][0-9]+)?" name="web_number_of_packages"
                                #web_number_of_packages="ngModel" [(ngModel)]="partnerModel.web_number_of_packages"
                                class="form-control" required>
                            <div class="error-msg"
                                *ngIf="web_number_of_packages.errors && (web_number_of_packages.dirty || web_number_of_packages.touched || f.submitted)">
                                <div [hidden]="!web_number_of_packages.errors.required">
                                    Web number of packages is required
                                </div>
                                <div [hidden]="!web_number_of_packages.errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Web number of persons
                            <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Web number of persons" maxlength="3"
                                pattern="[0-9]+([.][0-9]+)?" name="web_number_of_persons"
                                #web_number_of_persons="ngModel" [(ngModel)]="partnerModel.web_number_of_persons"
                                class="form-control" required>
                            <div class="error-msg"
                                *ngIf="web_number_of_persons.errors && (web_number_of_persons.dirty || web_number_of_persons.touched || f.submitted)">
                                <div [hidden]="!web_number_of_persons.errors.required">
                                    Web number of persons is required
                                </div>
                                <div [hidden]="!web_number_of_persons.errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Commission (AED) <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Commission" maxlength="20" #commission="ngModel"
                                [(ngModel)]="partnerModel.commission" name="commission" class="form-control" required>
                            <div class="error-msg"
                                *ngIf="commission.errors && (commission.dirty || commission.touched || f.submitted)">
                                <div [hidden]="!commission.errors.required">
                                    Commission percentage is required
                                </div>
                                <div [hidden]="!commission.errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Order type
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Order type"
                                [(ngModel)]="partnerModel.available_for" name="available_for"
                                #available_for="ngModel">
                                <mat-option value="2" selected="selected">Both</mat-option>
                                <mat-option value="0">Book Now Only</mat-option>
                                <mat-option value="1">Scheduled Only</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Default export type
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Default export type"
                                [(ngModel)]="partnerModel.default_export_type" name="default_export_type"
                                #default_export_type="ngModel">
                                <mat-option value="(PDF)Invoice" selected>(PDF)Invoice</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Ziping of invoice enabled
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Ziping of invoice enabled"
                                [(ngModel)]="partnerModel.ziping_of_invoice_enabled" name="ziping_of_invoice_enabled"
                                #ziping_of_invoice_enabled="ngModel">
                                <mat-option value="1" selected="selected">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Sending via email enabled
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Sending via email enabled"
                                [(ngModel)]="partnerModel.sending_via_email_enabled" name="sending_via_email_enabled"
                                #sending_via_email_enabled="ngModel">
                                <mat-option value="1" selected="selected">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Trip id
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Trip id"
                                [(ngModel)]="partnerModel.trip_id_mandatory" name="trip_id_mandatory"
                                #trip_id_mandatory="ngModel">
                                <mat-option value="1">Yes</mat-option>
                                <mat-option value="0" selected="selected">No</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">UID
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="UID" maxlength="20" #uid="ngModel"
                                [(ngModel)]="partnerModel.uid" name="uid" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Kiosk
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Kiosk Disabled"
                                [(ngModel)]="partnerModel.kiosk_partner" name="kiosk_partner" #kiosk_partner="ngModel">
                                <mat-option value=true selected="selected">Enabled</mat-option>
                                <mat-option value=false>Disabled</mat-option>
                            </mat-select>
                        </div>
                    </div>

                    <div class="form-group">
                        <input type="text" id="some_id" autocomplete="new-password" style="display:none;">
                        <input type="password" id="some_id1" autocomplete="new-password" style="display:none;">
                        <label class="col-sm-2 control-label">Password
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="password" placeholder="Password" maxlength="20" #password="ngModel"
                                [(ngModel)]="partnerModel.password" (ngModelChange)="passControl()" class="form-control"
                                name="password" minlength="6" required>

                            <div class="error-msg"
                                *ngIf="password.errors && (password.dirty || password.touched || f.submitted)">
                                <div [hidden]="!password.errors.required">
                                    password is required
                                </div>
                                <div [hidden]="!password.errors.minlength">
                                    password must be atleast 6 character
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Confirm Password
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="password" placeholder="Confirm Password" maxlength="20" #confirmPassword="ngModel"
                                [(ngModel)]="partnerModel.confirmPassword" (ngModelChange)="passControl()"
                                class="form-control" name="confirmPassword" required>

                            <div class="error-msg"
                                *ngIf="confirmPassword.errors && (confirmPassword.dirty || confirmPassword.touched || f.submitted)"
                                (click)="cpClicked();">
                                <div [hidden]="!confirmPassword.errors.required">
                                    Confirm password is required
                                </div>
                            </div>
                            <div class="error-msg" *ngIf="!confirmError">
                                <div [hidden]="confirmError">
                                    Confirm password must be same as password
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit" type="submit">Save</button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/administration/partners']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>